# CICADA

An angular admin web client for managing users and transactions in the CIC network.

This project was generated with [Angular CLI](https://github.com/angular/angular-cli) version 10.2.0.

## Angular CLI

Run `npm install -g @angular/cli` to install the angular CLI.

## Development server

Run `npm run start:dev` for a dev server. Navigate to `http://localhost:4200/`. The app will automatically reload if you change any of the source files.

## Code scaffolding

Run `ng generate component component-name` to generate a new component. You can also use `ng generate directive|pipe|service|class|guard|interface|enum|module`.

## Lazy-loading feature modules

Run `ng generate module module-name --route module-name --module app.module` to generate a new module on route `/module-name` in the app module. 

## Build

Run `npm run build:dev` to build the project. The build artifacts will be stored in the `dist/` directory. Use the `build:prod` script for a production build.

## Running unit tests

Run `npm run test:dev` to execute the unit tests via [Karma](https://karma-runner.github.io).

## Running end-to-end tests

Run `ng e2e` to execute the end-to-end tests via [Protractor](http://www.protractortest.org/).

## Environment variables

Environment variables are contained in the `.env` file. See `.env.example` for a template.

Default environment variables are set in the `set-env.ts` file.
Once loaded they will be populated in the directory `src/environments/`.
It contains environment variables for development on `environment.ts` and production on `environment.prod.ts`.

## Further help

To get more help on the Angular CLI use `ng help` or go check out the [Angular CLI Overview and Command Reference](https://angular.io/cli) page.
